Bug 1389715

Summary: libRmath has crazy dependencies
Product: [Fedora] Fedora EPEL Reporter: Dave Love <dave.love>
Component: RAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el6CC: tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: R-3.3.2-2.el7 R-3.3.2-2.fc25 R-3.3.2-2.fc24 R-3.3.2-2.el6 R-3.3.2-2.el5 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-12 21:51:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Dave Love 2016-10-28 09:58:11 UTC
Description of problem:

The libRmath package requires things like libldap and libssh2.  That's doubtless not very harmful, but is a bit disconcerting when trying to understand how the package works.  It seems to be an effect of building the bundled packages, and I assume it would go away by linking --as-needed if it's difficult to fix the build flags. I don't know how all of it gets pulled in given these, though:

$ rpmlint libRmath
libRmath.x86_64: W: no-soname /usr/lib64/libRmath.so
libRmath.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRmath.so /lib64/libdl.so.2
libRmath.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRmath.so /lib64/libkrb5.so.3
libRmath.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRmath.so /lib64/libk5crypto.so.3
libRmath.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRmath.so /lib64/libcom_err.so.2
libRmath.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libRmath.so /lib64/libz.so.1
libRmath.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/libRmath.so SSL_CTX_set_cipher_list

Version-Release number of selected component (if applicable):

libRmath-3.3.1-2.el6.x86_64

Comment 1 Fedora Update System 2016-11-01 18:34:05 UTC
rkward-0.6.5-3.fc23 rpy-2.8.3-1.fc23 R-3.3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ba2f71eaa

Comment 2 Fedora Update System 2016-11-01 18:34:28 UTC
rkward-0.6.5-3.fc24 rpy-2.8.3-1.fc24 R-3.3.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5440b32232

Comment 3 Fedora Update System 2016-11-01 18:34:43 UTC
R-3.3.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-416d702575

Comment 4 Fedora Update System 2016-11-01 18:34:57 UTC
R-3.3.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1e9b3e561

Comment 5 Fedora Update System 2016-11-01 18:35:11 UTC
rkward-0.6.5-3.fc25 rpy-2.8.3-1.fc25 R-3.3.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91292caee5

Comment 6 Fedora Update System 2016-11-01 18:35:26 UTC
R-3.3.2-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-40629afe0a

Comment 7 Fedora Update System 2016-11-02 14:52:02 UTC
R-3.3.2-2.fc25, rkward-0.6.5-3.fc25, rpy-2.8.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91292caee5

Comment 8 Fedora Update System 2016-11-04 17:20:12 UTC
R-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1e9b3e561

Comment 9 Fedora Update System 2016-11-04 17:22:22 UTC
R-3.3.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-416d702575

Comment 10 Fedora Update System 2016-11-05 01:46:28 UTC
R-3.3.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-40629afe0a

Comment 11 Fedora Update System 2016-11-05 03:31:20 UTC
R-3.3.2-2.fc24, rkward-0.6.5-3.fc24, rpy-2.8.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5440b32232

Comment 12 Fedora Update System 2016-12-12 21:51:02 UTC
R-3.3.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-12 23:55:46 UTC
R-3.3.2-2.fc25, rkward-0.6.5-3.fc25, rpy-2.8.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-13 02:24:44 UTC
R-3.3.2-2.fc24, rkward-0.6.5-3.fc24, rpy-2.8.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-13 18:20:13 UTC
R-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-12-14 02:48:36 UTC
R-3.3.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.